Subject: Re: bug#36702: 27.0.50; newline: don't auto-fill regardless of auto-fill-mode

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 17 Jul 2019 20:07:19 +0100

Andreas Röhler <[email-masked]> writes:

> On 17.07.19 19:47, Basil L. Contovounesios wrote:
>> Andreas Röhler <[email-masked]> writes:
>>
>>> Okay, commonly there many ways in Emacs to work around an issue, which is
>>> great. But that doesn't solve it at source. By its semantic newline is unrelated
>>> to filling, from there that behavior is not to expect, idiosyncratic.
>> Unless you or someone else has a concrete proposal for how to fix said
>> idiosyncratic behaviour in a backward-compatible way, I think that ship
>> has sailed.
>>
> Decoupling it should not break anything. When fixed, just setting an
> auto-fill-function will no longer trigger auto-fill in case auto-fill-mode is
> off.

But auto-fill-function is effectively synonymous with auto-fill-mode.
If the former is nil, the latter is disabled.  If the former is non-nil,
the latter is enabled.  There is no variable auto-fill-mode, only the
buffer-local variable auto-fill-function.

Users and modes that do not want to enable auto-fill-mode should not
make auto-fill-function non-nil.

Modes that want to provide a custom auto-fill function without enabling
auto-fill-mode should set normal-auto-fill-function buffer-locally
instead of auto-fill-function.

-- 
Basil